# Google Maps Engine API . assets . permissions

## Instance Methods

Return all of the permissions for the specified asset.

### Method Details

`list(id)`

    Return all of the permissions for the specified asset.

    Args:
      id: string, The ID of the asset whose permissions will be listed. (required)

    Returns:
      An object of the form:

        {
        "permissions": [ # The set of permissions associated with this asset.
          { # A permission defines the user or group that has access to an asset, and the type of access they have.
            "type": "A String", # The account type.
            "role": "A String", # The type of access granted to this user or group.
            "discoverable": True or False, # Indicates whether a public asset is listed and can be found via a web search (value true), or is visible only to people who have a link to the asset (value false).
            "id": "A String", # The unique identifier of the permission. This could be the email address of the user or group this permission refers to, or the string "anyone" for public permissions.
          },
        ],
      }